Package com.mockobjects.dynamic

# Class DynamicUtil

java.lang.Object
com.mockobjects.dynamic.DynamicUtil

public class DynamicUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`DynamicUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Object[]`
`asObjectArray(Object primitiveArray)`
`static void`
`join(Object[] elements, StringBuffer buf)`
`static String`
`methodToString(String name, Object[] args)`
`static String`
`proxyToString(Object element)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicUtil

public DynamicUtil()

## Method Details

### asObjectArray

public static Object[] asObjectArray(Object primitiveArray)

### proxyToString

public static String proxyToString(Object element)

### methodToString

public static String methodToString(String name, Object[] args)

### join

public static void join(Object[] elements, StringBuffer buf)